<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="model"
            type="com.lukouguoji.gjc.dialog.GjcUldSelectDialogModel" />
    </data>

    <LinearLayout
        shape_bg_color="@{@color/color_f2}"
        shape_radius="@{8}"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/color_f2"
        android:maxHeight="300dp"
        android:orientation="vertical">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:layout_marginTop="15dp"
            android:text="以下ULD数据有重复，请选择一条"
            android:textSize="16sp"
            android:textStyle="bold" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv"
            itemLayoutId="@{model.itemId}"
            viewHolder="@{model.itemHolder}"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_marginTop="15dp"
            android:layout_weight="1"
            app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
            tools:listitem="@layout/item_uld" />

        <TextView
            style="@style/tv_bottom_btn"
            android:layout_gravity="end"
            android:layout_marginVertical="10dp"
            android:layout_marginRight="15dp"
            android:onClick="@{model::onConfirmClick}"
            android:text="确定" />
    </LinearLayout>
</layout>